Subject: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: João Távora <[email-masked]>
Date: Fri, 28 Oct 2022 19:30:59 +0100

On Fri, Oct 28, 2022, 19:20 Philip Kaludercic <[email-masked]> wrote:

> Dmitry Gutov <[email-masked]> writes:
>
> > On 28.10.2022 20:28, Philip Kaludercic wrote:
> >> I still don't agree that this is the right interpretation of the issue
> >> or solution, but wouldn't it be better to add this to
> >> `project-kill-buffer-conditions'?
> >
> > I don't mind a new variable specifically, but
> > kill-buffer-query-functions seems to serve this purpose just fine.
> >
> > And no extra "coupling between two packages" will be added.
>
> How would you imagine it being used in this case?

May I suggest that we jump over the imagination directly to the reality?

The patch provided lives in the latter realm.

João